var guiobjects = new Array(
    new Array("siteTitleLine2", "A comprehensive solution for online examination"),
    new Array("questionbank_title", "Online question bank"),
    new Array("onlinetest_title", "Online test"),
    new Array("exammanagement_title", "Exams management"),
    new Array("questionbank_ad", "Several question types: single choice, multiple choices, categorizing, matching, gap filling, ordering, and more. Multimedia support: text, image, audio, video. Independent questions and grouped questions. Mathematical equation support. Table-based input via Webdoc editor. Several questions edited and submitted at once. Easily importing questions from Word. Fine-grained and secure access controls. Flexible test templates with multiple test parts, different difficulty levels, question types,  knowledge and skills. Time constraints on the whole test or on each part individually. Randomly selected questions with randomly ordered options. Test usage statistics."),
    new Array("onlinetest_ad", "Thousands of examinees doing tests at the same time. Time-constraints satisfied. Network disconnected notification to examinees and supervisors. Comfortable, friendly and easy-to-use GUI. Score showed after completion. Fully recovered after discontinuity."),
    new Array("exammanagement_ad", "Create, activate trial and official exams. Import, create and print list of examinees. Print examinees' cards. Tests assigned to examinees randomly. Real-time monitoring. Punishments on examinees' plagiarism. View, print, and export score table. View, print, and export  examinees' answers. Define score conversion rules. Score statistics in numerical data and chart. Answer statistics."),
    new Array("login_title", "Sign in"),
    new Array("button_login", "Sign in"),
    new Array("button_forgetpwd", "Forgot password?"),
    new Array("loginfailed1", "Incorrect username or password."),
    new Array("loginfailed2", "Your sign-in permission has been locked. Please ask supervisors to get it unlocked."),
    new Array("loginfailed3", "Security check is failed.")
); for (var i = 0; i < guiobjects.length; i++) document.getElementById(guiobjects[i][0]).innerHTML = guiobjects[i][1];

var guiobjectplaceholders = new Array(
    new Array("userName", "Username"),
    new Array("userPassword", "Password")
); for (var i = 0; i < guiobjectplaceholders.length; i++) document.getElementById(guiobjectplaceholders[i][0]).placeholder = guiobjectplaceholders[i][1];

var guiobjectsN = new Array(
    new Array("captchahint", "Click on the checkbox below then solve a given security challenge.")
); for (var i = 0; i < guiobjectsN.length; i++) {
    var guiobjN = document.getElementsByName(guiobjectsN[i][0]);
    for (var j = 0; j < guiobjN.length; j++) guiobjN[j].innerHTML = guiobjectsN[i][1];
}